import React from "react";
export interface ToolBarProps {
    onMinifyClick: () => void;
    onPrettifyClick: () => void;
    onClearClick: () => void;
    onAutoPrettifyChange: () => void;
    onDownloadClick: () => void;
    onUploadClick: (fileContent: File) => void;
    onFixClick: () => void;
    isAutoPrettifyOn: boolean;
    isValidJson: boolean;
}
interface FileUploaderProps {
    onFileHandle: (fileContent: File) => void;
}
export declare const FileUploader: React.FC<FileUploaderProps>;
export declare const ToolBar: React.FC<ToolBarProps>;
export {};
